from pydantic import BaseModel, ConfigDict, Field


class MaterialTypeDTO(BaseModel):
    key: str = Field(..., min_length=1, max_length=10)
    type: str = Field(..., min_length=1, max_length=15)
    description: str

    model_config = ConfigDict(from_attributes=True)
